Get a gift card
GET https://{handle}.myshopline.com/admin/openapi/v20261201/gift_cards/:gift_card_id.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .Get the information of a single gift card.
Path Parameters
- gift_card_id string requiredThe unique identifier for the gift card.
Maximum length:64Example:30171274557691301804060045
Request Headers
- Content-Type string requiredThe field must be set to the fixed value
application/json; charset=utf-8. - Authorization string requiredThe access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.Example:
Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
- 200
- 401
- 429
For the complete list of codes and messages, see Http status code.
Response Headers
traceId
A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
gift_cardobject
Gift card information.api_client_id stringThe unique identifier for the calling API client.Example:36d2bc4e97af056677b61c529d9e3a3f7396040dbalance stringThe current balance of the gift card. The value is rounded to two decimal places. The currency unit is the base unit of the store's current settlement currency.Example:299.99created_at stringThe date and time when the gift card was created. Format: ISO 8601.Example:2023-08-16T23:59:59+08:00customer_id stringThe ID of the customer who owns the gift card.Example:4200113946disabled_at stringThe date and time when the gift card was disabled. Format: ISO 8601.Example:2023-08-16T23:59:59+08:00expires_on stringThe current expiration date and time of the gift card. Format: ISO 8601. Returnsnullif the card never expires.Example:2023-08-16T23:59:59+08:00id stringThe unique identifier for the gift card.Example:30157043359245339231360282initial_value stringThe initial amount of the gift card. The value is rounded to two decimal places. The currency unit is the base unit of the store's current settlement currency.Example:299.99last_characters stringThe last four characters of the gift card code.Example:d246line_item_id stringThe associated order line item ID.Example:18060183094426803997483534note stringThe note content of the gift card.Example:This is a noteorder_id stringThe associated order ID.Example:24060486231247568944830202recipient_attributesobject
The recipient information for the gift card.email stringRecipient email address for the gift card.Example:demo@demo.commessage stringMessage for the gift card.Example:This is a messagenickname stringRecipient nickname for the gift card.Example:nicknamesend_around stringThe scheduled delivery date and time of the gift card. Format: ISO 8601.Example:2025-06-28T23:59:59+08:00updated_at stringThe date and time when the gift card was last updated. Format: ISO 8601.Example:2023-08-16T23:59:59+08:00user_id stringThe ID of the SHOPLINE Admin user who performed the latest action on the gift card.Example:4214250478
API Explorer
Debugger
Examples
Was this article helpful to you?